// This file was automatically generated by mksyscall.awk

package syscall

import "unsafe"

// Automatically generated wrapper for pipe/pipe
//extern pipe
func c_pipe(p *[2]int) int
func pipe(p *[2]int) (err error) {
	_r := c_pipe(p)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for utimes/utimes
//extern utimes
func c_utimes(path *byte, times *[2]Timeval) int
func utimes(path string, times *[2]Timeval) (err error) {
	_p1 := StringBytePtr(path)
	Entersyscall()
	_r := c_utimes(_p1, times)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for getcwd/getcwd
//extern getcwd
func c_getcwd(buf *byte, size Size_t) *byte
func getcwd(buf *byte, size Size_t) (err error) {
	Entersyscall()
	_r := c_getcwd(buf, Size_t(size))
	var errno Errno
	setErrno := false
	if _r == nil {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for getgroups/getgroups
//extern getgroups
func c_getgroups(size int, list *Gid_t) int
func getgroups(size int, list *Gid_t) (nn int, err error) {
	_r := c_getgroups(int(size), list)
	nn = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for setgroups/setgroups
//extern setgroups
func c_setgroups(n Size_t, list *Gid_t) int
func setgroups(n int, list *Gid_t) (err error) {
	_r := c_setgroups(Size_t(n), list)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Mkfifo/mkfifo
//extern mkfifo
func c_mkfifo(path *byte, mode Mode_t) int
func Mkfifo(path string, mode uint32) (err error) {
	_p1 := StringBytePtr(path)
	Entersyscall()
	_r := c_mkfifo(_p1, Mode_t(mode))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Select/select
//extern select
func c_select(nfd int, r *FdSet, w *FdSet, e *FdSet, timeout *Timeval) int
func Select(nfd int, r *FdSet, w *FdSet, e *FdSet, timeout *Timeval) (n int, err error) {
	Entersyscall()
	_r := c_select(int(nfd), r, w, e, timeout)
	n = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Access/access
//extern access
func c_access(path *byte, mode int) int
func Access(path string, mode uint32) (err error) {
	_p1 := StringBytePtr(path)
	Entersyscall()
	_r := c_access(_p1, int(mode))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Chdir/chdir
//extern chdir
func c_chdir(path *byte) int
func Chdir(path string) (err error) {
	_p1 := StringBytePtr(path)
	Entersyscall()
	_r := c_chdir(_p1)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Chmod/chmod
//extern chmod
func c_chmod(path *byte, mode Mode_t) int
func Chmod(path string, mode uint32) (err error) {
	_p1 := StringBytePtr(path)
	Entersyscall()
	_r := c_chmod(_p1, Mode_t(mode))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Chown/chown
//extern chown
func c_chown(path *byte, uid Uid_t, gid Gid_t) int
func Chown(path string, uid int, gid int) (err error) {
	_p1 := StringBytePtr(path)
	Entersyscall()
	_r := c_chown(_p1, Uid_t(uid), Gid_t(gid))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Chroot/chroot
//extern chroot
func c_chroot(path *byte) int
func Chroot(path string) (err error) {
	_p1 := StringBytePtr(path)
	Entersyscall()
	_r := c_chroot(_p1)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Close/close
//extern close
func c_close(fd int) int
func Close(fd int) (err error) {
	Entersyscall()
	_r := c_close(int(fd))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Creat/creat
//extern creat
func c_creat(path *byte, mode Mode_t) int
func Creat(path string, mode uint32) (fd int, err error) {
	_p1 := StringBytePtr(path)
	Entersyscall()
	_r := c_creat(_p1, Mode_t(mode))
	fd = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Dup/dup
//extern dup
func c_dup(oldfd int) int
func Dup(oldfd int) (fd int, err error) {
	_r := c_dup(int(oldfd))
	fd = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Dup2/dup2
//extern dup2
func c_dup2(oldfd int, newfd int) int
func Dup2(oldfd int, newfd int) (err error) {
	_r := c_dup2(int(oldfd), int(newfd))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Exit/exit
//extern exit
func c_exit(code int) 
func Exit(code int) {
	Entersyscall()
	c_exit(int(code))
	Exitsyscall()
}

// Automatically generated wrapper for Fchdir/fchdir
//extern fchdir
func c_fchdir(fd int) int
func Fchdir(fd int) (err error) {
	Entersyscall()
	_r := c_fchdir(int(fd))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Fchmod/fchmod
//extern fchmod
func c_fchmod(fd int, mode Mode_t) int
func Fchmod(fd int, mode uint32) (err error) {
	Entersyscall()
	_r := c_fchmod(int(fd), Mode_t(mode))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Fchown/fchown
//extern fchown
func c_fchown(fd int, uid Uid_t, gid Gid_t) int
func Fchown(fd int, uid int, gid int) (err error) {
	Entersyscall()
	_r := c_fchown(int(fd), Uid_t(uid), Gid_t(gid))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for fcntl/fcntl
//extern fcntl
func c_fcntl(fd int, cmd int, arg int) int
func fcntl(fd int, cmd int, arg int) (val int, err error) {
	Entersyscall()
	_r := c_fcntl(int(fd), int(cmd), int(arg))
	val = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Fdatasync/fdatasync
//extern fdatasync
func c_fdatasync(fd int) int
func Fdatasync(fd int) (err error) {
	Entersyscall()
	_r := c_fdatasync(int(fd))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Fsync/fsync
//extern fsync
func c_fsync(fd int) int
func Fsync(fd int) (err error) {
	Entersyscall()
	_r := c_fsync(int(fd))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Getegid/getegid
//extern getegid
func c_getegid() Gid_t
func Getegid() (egid int) {
	_r := c_getegid()
	egid = (int)(_r)
	return
}

// Automatically generated wrapper for Geteuid/geteuid
//extern geteuid
func c_geteuid() Uid_t
func Geteuid() (euid int) {
	_r := c_geteuid()
	euid = (int)(_r)
	return
}

// Automatically generated wrapper for Getgid/getgid
//extern getgid
func c_getgid() Gid_t
func Getgid() (gid int) {
	_r := c_getgid()
	gid = (int)(_r)
	return
}

// Automatically generated wrapper for Getpagesize/getpagesize
//extern getpagesize
func c_getpagesize() int
func Getpagesize() (pagesize int) {
	_r := c_getpagesize()
	pagesize = (int)(_r)
	return
}

// Automatically generated wrapper for Getpgid/getpgid
//extern getpgid
func c_getpgid(pid Pid_t) Pid_t
func Getpgid(pid int) (pgid int, err error) {
	_r := c_getpgid(Pid_t(pid))
	pgid = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Getpgrp/getpgrp
//extern getpgrp
func c_getpgrp() Pid_t
func Getpgrp() (pid int) {
	_r := c_getpgrp()
	pid = (int)(_r)
	return
}

// Automatically generated wrapper for Getpid/getpid
//extern getpid
func c_getpid() Pid_t
func Getpid() (pid int) {
	_r := c_getpid()
	pid = (int)(_r)
	return
}

// Automatically generated wrapper for Getppid/getppid
//extern getppid
func c_getppid() Pid_t
func Getppid() (ppid int) {
	_r := c_getppid()
	ppid = (int)(_r)
	return
}

// Automatically generated wrapper for Getrlimit/getrlimit
//extern getrlimit
func c_getrlimit(resource int, rlim *Rlimit) int
func Getrlimit(resource int, rlim *Rlimit) (err error) {
	_r := c_getrlimit(int(resource), rlim)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Getrusage/getrusage
//extern getrusage
func c_getrusage(who int, rusage *Rusage) int
func Getrusage(who int, rusage *Rusage) (err error) {
	_r := c_getrusage(int(who), rusage)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for gettimeofday/gettimeofday
//extern gettimeofday
func c_gettimeofday(tv *Timeval, tz *byte) int
func gettimeofday(tv *Timeval, tz *byte) (err error) {
	_r := c_gettimeofday(tv, tz)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Getuid/getuid
//extern getuid
func c_getuid() Uid_t
func Getuid() (uid int) {
	_r := c_getuid()
	uid = (int)(_r)
	return
}

// Automatically generated wrapper for Kill/kill
//extern kill
func c_kill(pid Pid_t, sig int) int
func Kill(pid int, sig Signal) (err error) {
	_r := c_kill(Pid_t(pid), int(sig))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Lchown/lchown
//extern lchown
func c_lchown(path *byte, uid Uid_t, gid Gid_t) int
func Lchown(path string, uid int, gid int) (err error) {
	_p1 := StringBytePtr(path)
	Entersyscall()
	_r := c_lchown(_p1, Uid_t(uid), Gid_t(gid))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Link/link
//extern link
func c_link(oldpath *byte, newpath *byte) int
func Link(oldpath string, newpath string) (err error) {
	_p1 := StringBytePtr(oldpath)
	_p2 := StringBytePtr(newpath)
	Entersyscall()
	_r := c_link(_p1, _p2)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Mkdir/mkdir
//extern mkdir
func c_mkdir(path *byte, mode Mode_t) int
func Mkdir(path string, mode uint32) (err error) {
	_p1 := StringBytePtr(path)
	Entersyscall()
	_r := c_mkdir(_p1, Mode_t(mode))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Mknod/mknod
//extern mknod
func c_mknod(path *byte, mode Mode_t, dev _dev_t) int
func Mknod(path string, mode uint32, dev int) (err error) {
	_p1 := StringBytePtr(path)
	Entersyscall()
	_r := c_mknod(_p1, Mode_t(mode), _dev_t(dev))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Mount/mount
//extern mount
func c_mount(source *byte, target *byte, fstype *byte, flags _C_long, data *byte) int
func Mount(source string, target string, fstype string, flags uintptr, data string) (err error) {
	_p1 := StringBytePtr(source)
	_p2 := StringBytePtr(target)
	_p3 := StringBytePtr(fstype)
	_p5 := StringBytePtr(data)
	Entersyscall()
	_r := c_mount(_p1, _p2, _p3, _C_long(flags), _p5)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Nanosleep/nanosleep
//extern nanosleep
func c_nanosleep(time *Timespec, leftover *Timespec) int
func Nanosleep(time *Timespec, leftover *Timespec) (err error) {
	Entersyscall()
	_r := c_nanosleep(time, leftover)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Pause/pause
//extern pause
func c_pause() int
func Pause() (err error) {
	Entersyscall()
	_r := c_pause()
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Read/read
//extern read
func c_read(fd int, buf *byte, count Size_t) Ssize_t
func Read(fd int, p []byte) (n int, err error) {
	var _p2 *byte
	if len(p) > 0 {
		_p2 = (*byte)(unsafe.Pointer(&p[0]))
	} else {
		_p2 = (*byte)(unsafe.Pointer(&_zero))
	}
	Entersyscall()
	_r := c_read(int(fd), _p2, Size_t(len(p)))
	n = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Readlink/readlink
//extern readlink
func c_readlink(path *byte, buf *byte, bufsiz Size_t) Ssize_t
func Readlink(path string, buf []byte) (n int, err error) {
	_p1 := StringBytePtr(path)
	var _p2 *byte
	if len(buf) > 0 {
		_p2 = (*byte)(unsafe.Pointer(&buf[0]))
	} else {
		_p2 = (*byte)(unsafe.Pointer(&_zero))
	}
	Entersyscall()
	_r := c_readlink(_p1, _p2, Size_t(len(buf)))
	n = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Rename/rename
//extern rename
func c_rename(oldpath *byte, newpath *byte) int
func Rename(oldpath string, newpath string) (err error) {
	_p1 := StringBytePtr(oldpath)
	_p2 := StringBytePtr(newpath)
	Entersyscall()
	_r := c_rename(_p1, _p2)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Rmdir/rmdir
//extern rmdir
func c_rmdir(path *byte) int
func Rmdir(path string) (err error) {
	_p1 := StringBytePtr(path)
	Entersyscall()
	_r := c_rmdir(_p1)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Setdomainname/setdomainname
//extern setdomainname
func c_setdomainname(name *byte, len Size_t) int
func Setdomainname(p []byte) (err error) {
	var _p1 *byte
	if len(p) > 0 {
		_p1 = (*byte)(unsafe.Pointer(&p[0]))
	} else {
		_p1 = (*byte)(unsafe.Pointer(&_zero))
	}
	Entersyscall()
	_r := c_setdomainname(_p1, Size_t(len(p)))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Sethostname/sethostname
//extern sethostname
func c_sethostname(name *byte, len Size_t) int
func Sethostname(p []byte) (err error) {
	var _p1 *byte
	if len(p) > 0 {
		_p1 = (*byte)(unsafe.Pointer(&p[0]))
	} else {
		_p1 = (*byte)(unsafe.Pointer(&_zero))
	}
	Entersyscall()
	_r := c_sethostname(_p1, Size_t(len(p)))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Setgid/setgid
//extern setgid
func c_setgid(gid Gid_t) int
func Setgid(gid int) (err error) {
	_r := c_setgid(Gid_t(gid))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Setregid/setregid
//extern setregid
func c_setregid(rgid Gid_t, egid Gid_t) int
func Setregid(rgid int, egid int) (err error) {
	_r := c_setregid(Gid_t(rgid), Gid_t(egid))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Setpgid/setpgid
//extern setpgid
func c_setpgid(pid Pid_t, pgid Pid_t) int
func Setpgid(pid int, pgid int) (err error) {
	_r := c_setpgid(Pid_t(pid), Pid_t(pgid))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Setreuid/setreuid
//extern setreuid
func c_setreuid(ruid Uid_t, euid Uid_t) int
func Setreuid(ruid int, euid int) (err error) {
	_r := c_setreuid(Uid_t(ruid), Uid_t(euid))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Setrlimit/setrlimit
//extern setrlimit
func c_setrlimit(resource int, rlim *Rlimit) int
func Setrlimit(resource int, rlim *Rlimit) (err error) {
	_r := c_setrlimit(int(resource), rlim)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Setsid/setsid
//extern setsid
func c_setsid() Pid_t
func Setsid() (pid int, err error) {
	_r := c_setsid()
	pid = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for settimeofday/settimeofday
//extern settimeofday
func c_settimeofday(tv *Timeval, tz *byte) int
func settimeofday(tv *Timeval, tz *byte) (err error) {
	_r := c_settimeofday(tv, tz)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Setuid/setuid
//extern setuid
func c_setuid(uid Uid_t) int
func Setuid(uid int) (err error) {
	_r := c_setuid(Uid_t(uid))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Symlink/symlink
//extern symlink
func c_symlink(oldpath *byte, newpath *byte) int
func Symlink(oldpath string, newpath string) (err error) {
	_p1 := StringBytePtr(oldpath)
	_p2 := StringBytePtr(newpath)
	Entersyscall()
	_r := c_symlink(_p1, _p2)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Sync/sync
//extern sync
func c_sync() 
func Sync() {
	Entersyscall()
	c_sync()
	Exitsyscall()
}

// Automatically generated wrapper for Time/time
//extern time
func c_time(t *Time_t) Time_t
func Time(t *Time_t) (tt Time_t, err error) {
	_r := c_time(t)
	tt = (Time_t)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Times/times
//extern times
func c_times(tms *Tms) _clock_t
func Times(tms *Tms) (ticks uintptr, err error) {
	_r := c_times(tms)
	ticks = (uintptr)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Umask/umask
//extern umask
func c_umask(mask Mode_t) Mode_t
func Umask(mask int) (oldmask int) {
	_r := c_umask(Mode_t(mask))
	oldmask = (int)(_r)
	return
}

// Automatically generated wrapper for Unlink/unlink
//extern unlink
func c_unlink(path *byte) int
func Unlink(path string) (err error) {
	_p1 := StringBytePtr(path)
	Entersyscall()
	_r := c_unlink(_p1)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Utime/utime
//extern utime
func c_utime(path *byte, buf *Utimbuf) int
func Utime(path string, buf *Utimbuf) (err error) {
	_p1 := StringBytePtr(path)
	Entersyscall()
	_r := c_utime(_p1, buf)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Write/write
//extern write
func c_write(fd int, buf *byte, count Size_t) Ssize_t
func Write(fd int, p []byte) (n int, err error) {
	var _p2 *byte
	if len(p) > 0 {
		_p2 = (*byte)(unsafe.Pointer(&p[0]))
	} else {
		_p2 = (*byte)(unsafe.Pointer(&_zero))
	}
	Entersyscall()
	_r := c_write(int(fd), _p2, Size_t(len(p)))
	n = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for munmap/munmap
//extern munmap
func c_munmap(addr *byte, length Size_t) int
func munmap(addr uintptr, length uintptr) (err error) {
	Entersyscall()
	_r := c_munmap((*byte)(unsafe.Pointer(addr)), Size_t(length))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Madvise/madvise
//extern madvise
func c_madvise(addr *byte, len Size_t, advice int) int
func Madvise(b []byte, advice int) (err error) {
	var _p1 *byte
	if len(b) > 0 {
		_p1 = (*byte)(unsafe.Pointer(&b[0]))
	} else {
		_p1 = (*byte)(unsafe.Pointer(&_zero))
	}
	Entersyscall()
	_r := c_madvise(_p1, Size_t(len(b)), int(advice))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Mprotect/mprotect
//extern mprotect
func c_mprotect(addr *byte, len Size_t, prot int) int
func Mprotect(b []byte, prot int) (err error) {
	var _p1 *byte
	if len(b) > 0 {
		_p1 = (*byte)(unsafe.Pointer(&b[0]))
	} else {
		_p1 = (*byte)(unsafe.Pointer(&_zero))
	}
	Entersyscall()
	_r := c_mprotect(_p1, Size_t(len(b)), int(prot))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Mlock/mlock
//extern mlock
func c_mlock(addr *byte, len Size_t) int
func Mlock(b []byte) (err error) {
	var _p1 *byte
	if len(b) > 0 {
		_p1 = (*byte)(unsafe.Pointer(&b[0]))
	} else {
		_p1 = (*byte)(unsafe.Pointer(&_zero))
	}
	Entersyscall()
	_r := c_mlock(_p1, Size_t(len(b)))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Munlock/munlock
//extern munlock
func c_munlock(addr *byte, len Size_t) int
func Munlock(b []byte) (err error) {
	var _p1 *byte
	if len(b) > 0 {
		_p1 = (*byte)(unsafe.Pointer(&b[0]))
	} else {
		_p1 = (*byte)(unsafe.Pointer(&_zero))
	}
	Entersyscall()
	_r := c_munlock(_p1, Size_t(len(b)))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Mlockall/mlockall
//extern mlockall
func c_mlockall(flags int) int
func Mlockall(flags int) (err error) {
	Entersyscall()
	_r := c_mlockall(int(flags))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Munlockall/munlockall
//extern munlockall
func c_munlockall() int
func Munlockall() (err error) {
	Entersyscall()
	_r := c_munlockall()
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Tcgetattr/tcgetattr
//extern tcgetattr
func c_tcgetattr(fd int, p *Termios) int
func Tcgetattr(fd int, p *Termios) (err error) {
	_r := c_tcgetattr(int(fd), p)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Tcsetattr/tcsetattr
//extern tcsetattr
func c_tcsetattr(fd int, actions int, p *Termios) int
func Tcsetattr(fd int, actions int, p *Termios) (err error) {
	Entersyscall()
	_r := c_tcsetattr(int(fd), int(actions), p)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for accept/accept
//extern accept
func c_accept(fd int, sa *RawSockaddrAny, len *Socklen_t) int
func accept(fd int, sa *RawSockaddrAny, len *Socklen_t) (nfd int, err error) {
	Entersyscall()
	_r := c_accept(int(fd), sa, len)
	nfd = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for getsockname/getsockname
//extern getsockname
func c_getsockname(fd int, sa *RawSockaddrAny, len *Socklen_t) int
func getsockname(fd int, sa *RawSockaddrAny, len *Socklen_t) (err error) {
	_r := c_getsockname(int(fd), sa, len)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for getpeername/getpeername
//extern getpeername
func c_getpeername(fd int, sa *RawSockaddrAny, len *Socklen_t) int
func getpeername(fd int, sa *RawSockaddrAny, len *Socklen_t) (err error) {
	_r := c_getpeername(int(fd), sa, len)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for bind/bind
//extern bind
func c_bind(fd int, sa *RawSockaddrAny, len Socklen_t) int
func bind(fd int, sa *RawSockaddrAny, len Socklen_t) (err error) {
	Entersyscall()
	_r := c_bind(int(fd), sa, Socklen_t(len))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for connect/connect
//extern connect
func c_connect(s int, addr *RawSockaddrAny, addrlen Socklen_t) int
func connect(s int, addr *RawSockaddrAny, addrlen Socklen_t) (err error) {
	Entersyscall()
	_r := c_connect(int(s), addr, Socklen_t(addrlen))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for socket/socket
//extern socket
func c_socket(domain int, typ int, protocol int) int
func socket(domain int, typ int, proto int) (fd int, err error) {
	_r := c_socket(int(domain), int(typ), int(proto))
	fd = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for socketpair/socketpair
//extern socketpair
func c_socketpair(domain int, typ int, protocol int, fd *[2]int) int
func socketpair(domain int, typ int, proto int, fd *[2]int) (err error) {
	_r := c_socketpair(int(domain), int(typ), int(proto), fd)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for getsockopt/getsockopt
//extern getsockopt
func c_getsockopt(s int, level int, name int, val *byte, vallen *Socklen_t) int
func getsockopt(s int, level int, name int, val uintptr, vallen *Socklen_t) (err error) {
	Entersyscall()
	_r := c_getsockopt(int(s), int(level), int(name), (*byte)(unsafe.Pointer(val)), vallen)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for setsockopt/setsockopt
//extern setsockopt
func c_setsockopt(s int, level int, optname int, val *byte, vallen Socklen_t) int
func setsockopt(s int, level int, name int, val *byte, vallen Socklen_t) (err error) {
	Entersyscall()
	_r := c_setsockopt(int(s), int(level), int(name), val, Socklen_t(vallen))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for recvfrom/recvfrom
//extern recvfrom
func c_recvfrom(fd int, buf *byte, len Size_t, flags int, from *RawSockaddrAny, fromlen *Socklen_t) Ssize_t
func recvfrom(fd int, p []byte, flags int, from *RawSockaddrAny, fromlen *Socklen_t) (n int, err error) {
	var _p2 *byte
	if len(p) > 0 {
		_p2 = (*byte)(unsafe.Pointer(&p[0]))
	} else {
		_p2 = (*byte)(unsafe.Pointer(&_zero))
	}
	Entersyscall()
	_r := c_recvfrom(int(fd), _p2, Size_t(len(p)), int(flags), from, fromlen)
	n = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for sendto/sendto
//extern sendto
func c_sendto(s int, buf *byte, len Size_t, flags int, to *RawSockaddrAny, tolen Socklen_t) Ssize_t
func sendto(s int, buf []byte, flags int, to *RawSockaddrAny, tolen Socklen_t) (err error) {
	var _p2 *byte
	if len(buf) > 0 {
		_p2 = (*byte)(unsafe.Pointer(&buf[0]))
	} else {
		_p2 = (*byte)(unsafe.Pointer(&_zero))
	}
	Entersyscall()
	_r := c_sendto(int(s), _p2, Size_t(len(buf)), int(flags), to, Socklen_t(tolen))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for recvmsg/recvmsg
//extern recvmsg
func c_recvmsg(s int, msg *Msghdr, flags int) Ssize_t
func recvmsg(s int, msg *Msghdr, flags int) (n int, err error) {
	Entersyscall()
	_r := c_recvmsg(int(s), msg, int(flags))
	n = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for sendmsg/sendmsg
//extern sendmsg
func c_sendmsg(s int, msg *Msghdr, flags int) Ssize_t
func sendmsg(s int, msg *Msghdr, flags int) (err error) {
	Entersyscall()
	_r := c_sendmsg(int(s), msg, int(flags))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Listen/listen
//extern listen
func c_listen(fd int, n int) int
func Listen(fd int, n int) (err error) {
	Entersyscall()
	_r := c_listen(int(fd), int(n))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Shutdown/shutdown
//extern shutdown
func c_shutdown(fd int, how int) int
func Shutdown(fd int, how int) (err error) {
	Entersyscall()
	_r := c_shutdown(int(fd), int(how))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for raw_fork/fork
//extern fork
func c_fork() Pid_t
func raw_fork() (pid Pid_t, err Errno) {
	_r := c_fork()
	pid = (Pid_t)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for raw_setsid/setsid
//extern setsid
func c_setsid() Pid_t
func raw_setsid() (err Errno) {
	_r := c_setsid()
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for raw_setpgid/setpgid
//extern setpgid
func c_setpgid(pid Pid_t, pgid Pid_t) int
func raw_setpgid(pid int, pgid int) (err Errno) {
	_r := c_setpgid(Pid_t(pid), Pid_t(pgid))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for raw_chroot/chroot
//extern chroot
func c_chroot(path *byte) int
func raw_chroot(path *byte) (err Errno) {
	_r := c_chroot(path)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for raw_chdir/chdir
//extern chdir
func c_chdir(path *byte) int
func raw_chdir(path *byte) (err Errno) {
	_r := c_chdir(path)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for raw_fcntl/fcntl
//extern fcntl
func c_fcntl(fd int, cmd int, arg int) int
func raw_fcntl(fd int, cmd int, arg int) (val int, err Errno) {
	_r := c_fcntl(int(fd), int(cmd), int(arg))
	val = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for raw_close/close
//extern close
func c_close(fd int) int
func raw_close(fd int) (err Errno) {
	_r := c_close(int(fd))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for raw_ioctl/ioctl
//extern ioctl
func c_ioctl(fd int, cmd int, val int) int
func raw_ioctl(fd int, cmd int, val int) (rval int, err Errno) {
	_r := c_ioctl(int(fd), int(cmd), int(val))
	rval = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for raw_execve/execve
//extern execve
func c_execve(argv0 *byte, argv **byte, envv **byte) int
func raw_execve(argv0 *byte, argv **byte, envv **byte) (err Errno) {
	_r := c_execve(argv0, argv, envv)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for raw_write/write
//extern write
func c_write(fd int, buf *byte, count Size_t) Ssize_t
func raw_write(fd int, buf *byte, count int) (err Errno) {
	_r := c_write(int(fd), buf, Size_t(count))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for raw_exit/_exit
//extern _exit
func c__exit(status int) 
func raw_exit(status int) {
	c__exit(int(status))
}

// Automatically generated wrapper for raw_dup2/dup2
//extern dup2
func c_dup2(oldfd int, newfd int) int
func raw_dup2(oldfd int, newfd int) (err Errno) {
	_r := c_dup2(int(oldfd), int(newfd))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for read/read
//extern read
func c_read(fd int, buf *byte, count Size_t) Ssize_t
func read(fd int, p *byte, np int) (n int, err error) {
	Entersyscall()
	_r := c_read(int(fd), p, Size_t(np))
	n = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for raw_prctl/prctl
//extern prctl
func c_prctl(option int, arg2 _C_long, arg3 _C_long, arg4 _C_long, arg5 _C_long) int
func raw_prctl(option int, arg2 int, arg3 int, arg4 int, arg5 int) (ret int, err Errno) {
	_r := c_prctl(int(option), _C_long(arg2), _C_long(arg3), _C_long(arg4), _C_long(arg5))
	ret = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for wait4/wait4
//extern wait4
func c_wait4(pid Pid_t, status *int, options int, rusage *Rusage) Pid_t
func wait4(pid Pid_t, status *int, options int, rusage *Rusage) (wpid Pid_t, err error) {
	Entersyscall()
	_r := c_wait4(Pid_t(pid), status, int(options), rusage)
	wpid = (Pid_t)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for strerror_r/strerror_r
//extern strerror_r
func c_strerror_r(errnum int, b *byte, len Size_t) *byte
func strerror_r(errnum int, b []byte) (errstr *byte) {
	var _p2 *byte
	if len(b) > 0 {
		_p2 = (*byte)(unsafe.Pointer(&b[0]))
	} else {
		_p2 = (*byte)(unsafe.Pointer(&_zero))
	}
	_r := c_strerror_r(int(errnum), _p2, Size_t(len(b)))
	errstr = (*byte)(_r)
	return
}

// Automatically generated wrapper for Fstat/fstat64
//extern fstat64
func c_fstat64(fd int, stat *Stat_t) int
func Fstat(fd int, stat *Stat_t) (err error) {
	Entersyscall()
	_r := c_fstat64(int(fd), stat)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Ftruncate/ftruncate64
//extern ftruncate64
func c_ftruncate64(fd int, length Offset_t) int
func Ftruncate(fd int, length int64) (err error) {
	Entersyscall()
	_r := c_ftruncate64(int(fd), Offset_t(length))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Lstat/lstat64
//extern lstat64
func c_lstat64(path *byte, stat *Stat_t) int
func Lstat(path string, stat *Stat_t) (err error) {
	_p1 := StringBytePtr(path)
	Entersyscall()
	_r := c_lstat64(_p1, stat)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for mmap/mmap64
//extern mmap64
func c_mmap64(addr *byte, length Size_t, prot int, flags int, fd int, offset Offset_t) *byte
func mmap(addr uintptr, length uintptr, prot int, flags int, fd int, offset int64) (xaddr uintptr, err error) {
	Entersyscall()
	_r := c_mmap64((*byte)(unsafe.Pointer(addr)), Size_t(length), int(prot), int(flags), int(fd), Offset_t(offset))
	xaddr = (uintptr)(unsafe.Pointer(_r))
	var errno Errno
	setErrno := false
	if _r == nil {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Open/open64
//extern open64
func c_open64(path *byte, mode int, perm Mode_t) int
func Open(path string, mode int, perm uint32) (fd int, err error) {
	_p1 := StringBytePtr(path)
	Entersyscall()
	_r := c_open64(_p1, int(mode), Mode_t(perm))
	fd = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Pread/pread64
//extern pread64
func c_pread64(fd int, buf *byte, count Size_t, offset Offset_t) Ssize_t
func Pread(fd int, p []byte, offset int64) (n int, err error) {
	var _p2 *byte
	if len(p) > 0 {
		_p2 = (*byte)(unsafe.Pointer(&p[0]))
	} else {
		_p2 = (*byte)(unsafe.Pointer(&_zero))
	}
	Entersyscall()
	_r := c_pread64(int(fd), _p2, Size_t(len(p)), Offset_t(offset))
	n = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Pwrite/pwrite64
//extern pwrite64
func c_pwrite64(fd int, buf *byte, count Size_t, offset Offset_t) Ssize_t
func Pwrite(fd int, p []byte, offset int64) (n int, err error) {
	var _p2 *byte
	if len(p) > 0 {
		_p2 = (*byte)(unsafe.Pointer(&p[0]))
	} else {
		_p2 = (*byte)(unsafe.Pointer(&_zero))
	}
	Entersyscall()
	_r := c_pwrite64(int(fd), _p2, Size_t(len(p)), Offset_t(offset))
	n = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Seek/lseek64
//extern lseek64
func c_lseek64(fd int, offset Offset_t, whence int) Offset_t
func Seek(fd int, offset int64, whence int) (off int64, err error) {
	Entersyscall()
	_r := c_lseek64(int(fd), Offset_t(offset), int(whence))
	off = (int64)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Stat/stat64
//extern stat64
func c_stat64(path *byte, stat *Stat_t) int
func Stat(path string, stat *Stat_t) (err error) {
	_p1 := StringBytePtr(path)
	Entersyscall()
	_r := c_stat64(_p1, stat)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Truncate/truncate64
//extern truncate64
func c_truncate64(path *byte, length Offset_t) int
func Truncate(path string, length int64) (err error) {
	_p1 := StringBytePtr(path)
	Entersyscall()
	_r := c_truncate64(_p1, Offset_t(length))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for EpollCreate/epoll_create
//extern epoll_create
func c_epoll_create(size int) int
func EpollCreate(size int) (fd int, err error) {
	_r := c_epoll_create(int(size))
	fd = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for EpollCreate1/epoll_create1
//extern epoll_create1
func c_epoll_create1(flags int) int
func EpollCreate1(flags int) (fd int, err error) {
	_r := c_epoll_create1(int(flags))
	fd = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for EpollCtl/epoll_ctl
//extern epoll_ctl
func c_epoll_ctl(epfd int, op int, fd int, event *EpollEvent) int
func EpollCtl(epfd int, op int, fd int, event *EpollEvent) (err error) {
	_r := c_epoll_ctl(int(epfd), int(op), int(fd), event)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for EpollWait/epoll_wait
//extern epoll_wait
func c_epoll_wait(epfd int, events *EpollEvent, maxevents int, timeout int) int
func EpollWait(epfd int, events []EpollEvent, msec int) (n int, err error) {
	var _p2 *EpollEvent
	if len(events) > 0 {
		_p2 = (*EpollEvent)(unsafe.Pointer(&events[0]))
	} else {
		_p2 = (*EpollEvent)(unsafe.Pointer(&_zero))
	}
	Entersyscall()
	_r := c_epoll_wait(int(epfd), _p2, int(len(events)), int(msec))
	n = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Uname/uname
//extern uname
func c_uname(buf *Utsname) int
func Uname(buf *Utsname) (err error) {
	_r := c_uname(buf)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Openat/openat
//extern openat
func c_openat(dirfd int, path *byte, flags int, mode Mode_t) int
func Openat(dirfd int, path string, flags int, mode uint32) (fd int, err error) {
	_p2 := StringBytePtr(path)
	Entersyscall()
	_r := c_openat(int(dirfd), _p2, int(flags), Mode_t(mode))
	fd = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for futimesat/futimesat
//extern futimesat
func c_futimesat(dirfd int, path *byte, times *[2]Timeval) int
func futimesat(dirfd int, path *byte, times *[2]Timeval) (err error) {
	Entersyscall()
	_r := c_futimesat(int(dirfd), path, times)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for ptrace/ptrace
//extern ptrace
func c_ptrace(request int, pid Pid_t, addr *byte, data *byte) _C_long
func ptrace(request int, pid int, addr uintptr, data uintptr) (err error) {
	Entersyscall()
	_r := c_ptrace(int(request), Pid_t(pid), (*byte)(unsafe.Pointer(addr)), (*byte)(unsafe.Pointer(data)))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for raw_ptrace/ptrace
//extern ptrace
func c_ptrace(request int, pid Pid_t, addr *byte, data *byte) _C_long
func raw_ptrace(request int, pid int, addr *byte, data *byte) (err Errno) {
	_r := c_ptrace(int(request), Pid_t(pid), addr, data)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for reboot/reboot
//extern reboot
func c_reboot(magic1 uint, magic2 uint, cmd int, arg *byte) int
func reboot(magic1 uint, magic2 uint, cmd int, arg string) (err error) {
	_p4 := StringBytePtr(arg)
	Entersyscall()
	_r := c_reboot(uint(magic1), uint(magic2), int(cmd), _p4)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Acct/acct
//extern acct
func c_acct(path *byte) int
func Acct(path string) (err error) {
	_p1 := StringBytePtr(path)
	Entersyscall()
	_r := c_acct(_p1)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Adjtimex/adjtimex
//extern adjtimex
func c_adjtimex(buf *Timex) int
func Adjtimex(buf *Timex) (state int, err error) {
	Entersyscall()
	_r := c_adjtimex(buf)
	state = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Faccessat/faccessat
//extern faccessat
func c_faccessat(dirfd int, pathname *byte, mode int, flags int) int
func Faccessat(dirfd int, path string, mode uint32, flags int) (err error) {
	_p2 := StringBytePtr(path)
	Entersyscall()
	_r := c_faccessat(int(dirfd), _p2, int(mode), int(flags))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Fallocate/fallocate
//extern fallocate
func c_fallocate(fd int, mode int, offset Offset_t, len Offset_t) int
func Fallocate(fd int, mode uint32, off int64, len int64) (err error) {
	Entersyscall()
	_r := c_fallocate(int(fd), int(mode), Offset_t(off), Offset_t(len))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Fchmodat/fchmodat
//extern fchmodat
func c_fchmodat(dirfd int, pathname *byte, mode Mode_t, flags int) int
func Fchmodat(dirfd int, path string, mode uint32, flags int) (err error) {
	_p2 := StringBytePtr(path)
	Entersyscall()
	_r := c_fchmodat(int(dirfd), _p2, Mode_t(mode), int(flags))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Fchownat/fchownat
//extern fchownat
func c_fchownat(dirfd int, path *byte, owner Uid_t, group Gid_t, flags int) int
func Fchownat(dirfd int, path string, uid int, gid int, flags int) (err error) {
	_p2 := StringBytePtr(path)
	Entersyscall()
	_r := c_fchownat(int(dirfd), _p2, Uid_t(uid), Gid_t(gid), int(flags))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Flock/flock
//extern flock
func c_flock(fd int, how int) int
func Flock(fd int, how int) (err error) {
	Entersyscall()
	_r := c_flock(int(fd), int(how))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Fstatfs/fstatfs
//extern fstatfs
func c_fstatfs(fd int, buf *Statfs_t) int
func Fstatfs(fd int, buf *Statfs_t) (err error) {
	Entersyscall()
	_r := c_fstatfs(int(fd), buf)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for InotifyAddWatch/inotify_add_watch
//extern inotify_add_watch
func c_inotify_add_watch(fd int, pathname *byte, mask uint32) int
func InotifyAddWatch(fd int, pathname string, mask uint32) (watchdesc int, err error) {
	_p2 := StringBytePtr(pathname)
	Entersyscall()
	_r := c_inotify_add_watch(int(fd), _p2, uint32(mask))
	watchdesc = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for InotifyInit/inotify_init
//extern inotify_init
func c_inotify_init() int
func InotifyInit() (fd int, err error) {
	_r := c_inotify_init()
	fd = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for InotifyInit1/inotify_init1
//extern inotify_init1
func c_inotify_init1(flags int) int
func InotifyInit1(flags int) (fd int, err error) {
	_r := c_inotify_init1(int(flags))
	fd = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for InotifyRmWatch/inotify_rm_watch
//extern inotify_rm_watch
func c_inotify_rm_watch(fd int, wd uint32) int
func InotifyRmWatch(fd int, watchdesc uint32) (success int, err error) {
	_r := c_inotify_rm_watch(int(fd), uint32(watchdesc))
	success = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Klogctl/klogctl
//extern klogctl
func c_klogctl(typ int, bufp *byte, len int) int
func Klogctl(typ int, buf []byte) (n int, err error) {
	var _p2 *byte
	if len(buf) > 0 {
		_p2 = (*byte)(unsafe.Pointer(&buf[0]))
	} else {
		_p2 = (*byte)(unsafe.Pointer(&_zero))
	}
	Entersyscall()
	_r := c_klogctl(int(typ), _p2, int(len(buf)))
	n = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Mkdirat/mkdirat
//extern mkdirat
func c_mkdirat(dirfd int, path *byte, mode Mode_t) int
func Mkdirat(dirfd int, path string, mode uint32) (err error) {
	_p2 := StringBytePtr(path)
	Entersyscall()
	_r := c_mkdirat(int(dirfd), _p2, Mode_t(mode))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Mknodat/mknodat
//extern mknodat
func c_mknodat(dirfd int, path *byte, mode Mode_t, dev _dev_t) int
func Mknodat(dirfd int, path string, mode uint32, dev int) (err error) {
	_p2 := StringBytePtr(path)
	Entersyscall()
	_r := c_mknodat(int(dirfd), _p2, Mode_t(mode), _dev_t(dev))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for PivotRoot/pivot_root
//extern pivot_root
func c_pivot_root(newroot *byte, putold *byte) int
func PivotRoot(newroot string, putold string) (err error) {
	_p1 := StringBytePtr(newroot)
	_p2 := StringBytePtr(putold)
	Entersyscall()
	_r := c_pivot_root(_p1, _p2)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Renameat/renameat
//extern renameat
func c_renameat(olddirfd int, oldpath *byte, newdirfd int, newpath *byte) int
func Renameat(olddirfd int, oldpath string, newdirfd int, newpath string) (err error) {
	_p2 := StringBytePtr(oldpath)
	_p4 := StringBytePtr(newpath)
	Entersyscall()
	_r := c_renameat(int(olddirfd), _p2, int(newdirfd), _p4)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for sendfile/sendfile64
//extern sendfile64
func c_sendfile64(outfd int, infd int, offset *Offset_t, count Size_t) Ssize_t
func sendfile(outfd int, infd int, offset *Offset_t, count int) (written int, err error) {
	Entersyscall()
	_r := c_sendfile64(int(outfd), int(infd), offset, Size_t(count))
	written = (int)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Setfsgid/setfsgid
//extern setfsgid
func c_setfsgid(gid Gid_t) int
func Setfsgid(gid int) (err error) {
	Entersyscall()
	_r := c_setfsgid(Gid_t(gid))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Setfsuid/setfsuid
//extern setfsuid
func c_setfsuid(uid Uid_t) int
func Setfsuid(uid int) (err error) {
	Entersyscall()
	_r := c_setfsuid(Uid_t(uid))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Setresgid/setresgid
//extern setresgid
func c_setresgid(rgid Gid_t, egid Gid_t, sgid Gid_t) int
func Setresgid(rgid int, egid int, sgid int) (err error) {
	_r := c_setresgid(Gid_t(rgid), Gid_t(egid), Gid_t(sgid))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Setresuid/setresuid
//extern setresuid
func c_setresuid(ruid Uid_t, euid Uid_t, suid Uid_t) int
func Setresuid(ruid int, eguid int, suid int) (err error) {
	_r := c_setresuid(Uid_t(ruid), Uid_t(eguid), Uid_t(suid))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for splice/splice
//extern splice
func c_splice(rfd int, roff *_loff_t, wfd int, woff *_loff_t, len Size_t, flags uint) Ssize_t
func splice(rfd int, roff *_loff_t, wfd int, woff *_loff_t, len int, flags int) (n int64, err error) {
	Entersyscall()
	_r := c_splice(int(rfd), roff, int(wfd), woff, Size_t(len), uint(flags))
	n = (int64)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Statfs/statfs
//extern statfs
func c_statfs(path *byte, buf *Statfs_t) int
func Statfs(path string, buf *Statfs_t) (err error) {
	_p1 := StringBytePtr(path)
	Entersyscall()
	_r := c_statfs(_p1, buf)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for SyncFileRange/sync_file_range
//extern sync_file_range
func c_sync_file_range(fd int, off Offset_t, n Offset_t, flags uint) int
func SyncFileRange(fd int, off int64, n int64, flags int) (err error) {
	Entersyscall()
	_r := c_sync_file_range(int(fd), Offset_t(off), Offset_t(n), uint(flags))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Sysinfo/sysinfo
//extern sysinfo
func c_sysinfo(info *Sysinfo_t) int
func Sysinfo(info *Sysinfo_t) (err error) {
	_r := c_sysinfo(info)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Tee/tee
//extern tee
func c_tee(rfd int, wfd int, len Size_t, flags uint) Ssize_t
func Tee(rfd int, wfd int, len int, flags int) (n int64, err error) {
	Entersyscall()
	_r := c_tee(int(rfd), int(wfd), Size_t(len), uint(flags))
	n = (int64)(_r)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for unlinkat/unlinkat
//extern unlinkat
func c_unlinkat(dirfd int, path *byte, flags int) int
func unlinkat(dirfd int, path string, flags int) (err error) {
	_p2 := StringBytePtr(path)
	Entersyscall()
	_r := c_unlinkat(int(dirfd), _p2, int(flags))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Unmount/umount2
//extern umount2
func c_umount2(target *byte, flags int) int
func Unmount(target string, flags int) (err error) {
	_p1 := StringBytePtr(target)
	Entersyscall()
	_r := c_umount2(_p1, int(flags))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Unshare/unshare
//extern unshare
func c_unshare(flags int) int
func Unshare(flags int) (err error) {
	Entersyscall()
	_r := c_unshare(int(flags))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Ustat/ustat
//extern ustat
func c_ustat(dev _dev_t, ubuf *Ustat_t) int
func Ustat(dev int, ubuf *Ustat_t) (err error) {
	Entersyscall()
	_r := c_ustat(_dev_t(dev), ubuf)
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Ioperm/ioperm
//extern ioperm
func c_ioperm(from _C_long, num _C_long, on int) int
func Ioperm(from int, num int, on int) (err error) {
	Entersyscall()
	_r := c_ioperm(_C_long(from), _C_long(num), int(on))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

// Automatically generated wrapper for Iopl/iopl
//extern iopl
func c_iopl(level int) int
func Iopl(level int) (err error) {
	Entersyscall()
	_r := c_iopl(int(level))
	var errno Errno
	setErrno := false
	if _r < 0 {
		errno = GetErrno()
		setErrno = true
	}
	Exitsyscall()
	if setErrno {
		err = errno
	}
	return
}

